package ejb31.war.servlet;

import java.util.Date;
import java.util.ArrayList;
import javax.ejb.Singleton;
import javax.ejb.DependsOn;
import javax.ejb.EJB;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;

@Singleton
public class BMCSingleton {

    @EJB  
    private DateSingleton  ds;

    @TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)
    public synchronized  String getEntryExitTime(long sleepFor)    {

        Date d1 = new Date();

        System.out.println("ds="+ds);
        ds.addRecord(d1);
        try {
            Thread.sleep(sleepFor);
        } catch (InterruptedException inEx) {
            //Ignore
        }
        Date d2 = new Date();
        ds.addRecord(d2);
        return "" + d1 + " --> " + d2;
    }
}
